Ubuntu GNOME Trusty HWE upgrade fails to install libwayland-egl1-mesa-lts-xenial

Bug #1610434 reported by Erick Brunzell on 2016-08-05
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
update-manager (Ubuntu)
High
Unassigned
Trusty
High
Brian Murray
xorg-lts-xenial (Ubuntu)
High
Unassigned
Trusty
High
Unassigned

Bug Description

Test Case
---------
1) Install libwayland-egl1-mesa-lts-(utopic|vivid)
2) Install update-manager from Trusty -proposed
3) Run hwe-support-status --show-replacements
4) Ensure libwayland-egl1-mesa-lts-xenial shows up as a replacement

We should also verify that if libwayland-egl1-mesa-lts-(utopic|vivid) is not installed that the equivalent -xenial version is not shown as a replacement or installed.

Updated info; You should be able to reproduce this as follows:

Step #1: Install Ubuntu GNOME 14.04.2, 14.04.3, or 14.04.4. Boot into the fresh installation when complete and apply all available updates via UI, then reboot when instructed. It seems important to apply the post-install updates via UI rather than using the terminal!

Step #2: Enable trusty-proposed, update the cache and run "apt-get install update-manager". (That will update the components needed to display HWE EOL notifications). Then disable trusty-proposed, set Notify me of a new release to Never, and update the apt cache again.

Step #3: Based on recent tests completing step #2 should be enough to launch the HWE EOL upgrade notification in which case you just need to choose to install the HWE upgrade and reboot when prompted.

If the HWE EOL notification fails to appear close any open update or notifier UI, then from terminal run "apt-get update" followed by "update-manager". If the HWE EOL notification still fails to appear then I'll have to go back to the drawing board.

Original content begins here:

Having updated update-manager from trusty-proposed yesterday I booted into Ubuntu GNOME Trusty w/Utopic HWE and update-notifier told me that my HWE was EOL so I accepted the upgrade. Everything seemed to complete successfully and I was notified to reboot. Upon doing so boot freezes with the message "Restoring resolver state". I was unsure what package to file this against and since I can't boot that install I was unable to file using ubuntu-bug anyway. This freeze occurs whether trying to boot the lts-xenial kernel or the older lts-utopic kernel.

I can collect info as needed, the only useful info I see in the logs in from apt/history beginning with the update-manager update yesterday and ending with the HWE EOL upgrade just a short time ago:

Start-Date: 2016-08-04 19:23:23
Commandline: apt-get install update-manager
Upgrade: update-manager:i386 (0.196.14, 0.196.15), python3-update-manager:i386 (0.196.14, 0.196.15), update-manager-core:i386 (0.196.14, 0.196.15)
End-Date: 2016-08-04 19:23:35

Start-Date: 2016-08-05 13:57:56
Commandline: aptdaemon role='role-commit-packages' sender=':1.50'
Install: xserver-xorg-input-synaptics-lts-xenial:i386 (1.8.2-1ubuntu3~trusty1, automatic), libgl1-mesa-dri-lts-xenial:i386 (11.2.0-1ubuntu2~trusty1, automatic), xserver-xorg-video-amdgpu-lts-xenial:i386 (1.1.0-1~trusty1, automatic), libgles2-mesa-lts-xenial:i386 (11.2.0-1ubuntu2~trusty1), linux-headers-4.4.0-31-generic:i386 (4.4.0-31.50~14.04.1, automatic), xserver-xorg-video-qxl-lts-xenial:i386 (0.1.4-3ubuntu3~trusty1, automatic), xserver-xorg-video-savage-lts-xenial:i386 (2.3.8-1ubuntu3~trusty1, automatic), linux-image-4.4.0-31-generic:i386 (4.4.0-31.50~14.04.1, automatic), xserver-xorg-video-trident-lts-xenial:i386 (1.3.7-1build2~trusty1, automatic), xserver-xorg-video-siliconmotion-lts-xenial:i386 (1.7.8-1ubuntu6~trusty1, automatic), libegl1-mesa-lts-xenial:i386 (11.2.0-1ubuntu2~trusty1), xserver-xorg-lts-xenial:i386 (7.7+13ubuntu3~trusty2), xserver-xorg-input-vmmouse-lts-xenial:i386 (13.1.0-1ubuntu2~trusty1, automatic), libglapi-mesa-lts-xenial:i386 (11.2.0-1ubuntu2~trusty1, automatic), xserver-xorg-video-nouveau-lts-xenial:i386 (1.0.12-1build2~trusty1, automatic), xserver-xorg-input-wacom-lts-xenial:i386 (0.32.0-0ubuntu3~trusty1, automatic), linux-generic-lts-xenial:i386 (4.4.0.31.21), xserver-xorg-video-openchrome-lts-xenial:i386 (0.3.3+git20160310-1~trusty1, automatic), xserver-xorg-input-all-lts-xenial:i386 (7.7+13ubuntu3~trusty2), xserver-xorg-video-neomagic-lts-xenial:i386 (1.2.9-1build2~trusty1, automatic), xserver-xorg-video-vesa-lts-xenial:i386 (2.3.4-1build2~trusty1, automatic), xserver-xorg-input-evdev-lts-xenial:i386 (2.10.1-1ubuntu2~trusty1, automatic), libllvm3.8v4:i386 (3.8-2ubuntu3~trusty4, automatic), xserver-xorg-video-vmware-lts-xenial:i386 (13.1.0-2ubuntu3~trusty1, automatic), linux-headers-4.4.0-31:i386 (4.4.0-31.50~14.04.1, automatic), linux-image-extra-4.4.0-31-generic:i386 (4.4.0-31.50~14.04.1, automatic), xserver-xorg-video-radeon-lts-xenial:i386 (7.7.0-1~trusty1, automatic), xserver-xorg-video-tdfx-lts-xenial:i386 (1.4.6-1build2~trusty1, automatic), xserver-xorg-video-fbdev-lts-xenial:i386 (0.4.4-1build5~trusty1, automatic), libgl1-mesa-glx-lts-xenial:i386 (11.2.0-1ubuntu2~trusty1), xserver-xorg-video-intel-lts-xenial:i386 (2.99.917+git20160325-1ubuntu1~trusty1, automatic), libgbm1-lts-xenial:i386 (11.2.0-1ubuntu2~trusty1, automatic), thermald:i386 (1.4.3-5~14.04.4, automatic), xserver-xorg-video-mga-lts-xenial:i386 (1.6.4-1build2~trusty1, automatic), libdrm-amdgpu1:i386 (2.4.67-1ubuntu0.14.04.1), linux-headers-generic-lts-xenial:i386 (4.4.0.31.21, automatic), linux-image-generic-lts-xenial:i386 (4.4.0.31.21, automatic), libxatracker2-lts-xenial:i386 (11.2.0-1ubuntu2~trusty1), xserver-xorg-video-all-lts-xenial:i386 (7.7+13ubuntu3~trusty2, automatic), libgles1-mesa-lts-xenial:i386 (11.2.0-1ubuntu2~trusty1), xserver-xorg-video-sisusb-lts-xenial:i386 (0.9.6-2build5~trusty1, automatic), xserver-xorg-core-lts-xenial:i386 (1.18.3-1ubuntu2.2~trusty2), xserver-xorg-video-cirrus-lts-xenial:i386 (1.5.3-1ubuntu3~trusty1, automatic), xserver-xorg-video-ati-lts-xenial:i386 (7.7.0-1~trusty1, automatic)
Upgrade: firefox:i386 (47.0+build3-0ubuntu0.14.04.1, 48.0+build2-0ubuntu0.14.04.1), avahi-autoipd:i386 (0.6.31-4ubuntu1, 0.6.31-4ubuntu1.1), oxideqt-codecs-extra:i386 (1.15.8-0ubuntu0.14.04.1, 1.16.5-0ubuntu0.14.04.1), libavahi-common-data:i386 (0.6.31-4ubuntu1, 0.6.31-4ubuntu1.1), libavahi-client3:i386 (0.6.31-4ubuntu1, 0.6.31-4ubuntu1.1), libavahi-common3:i386 (0.6.31-4ubuntu1, 0.6.31-4ubuntu1.1), avahi-utils:i386 (0.6.31-4ubuntu1, 0.6.31-4ubuntu1.1), avahi-daemon:i386 (0.6.31-4ubuntu1, 0.6.31-4ubuntu1.1), libavahi-gobject0:i386 (0.6.31-4ubuntu1, 0.6.31-4ubuntu1.1), libavahi-glib1:i386 (0.6.31-4ubuntu1, 0.6.31-4ubuntu1.1), firefox-locale-en:i386 (47.0+build3-0ubuntu0.14.04.1, 48.0+build2-0ubuntu0.14.04.1), libavahi-core7:i386 (0.6.31-4ubuntu1, 0.6.31-4ubuntu1.1)
Remove: xserver-xorg-video-neomagic-lts-utopic:i386 (1.2.8-1build2~trusty1), xserver-xorg-video-vesa-lts-utopic:i386 (2.3.3-1build2~trusty1), xserver-xorg-input-evdev-lts-utopic:i386 (2.9.0-1ubuntu2~trusty1), xserver-xorg-video-vmware-lts-utopic:i386 (13.0.2-3ubuntu1~trusty1), xserver-xorg-video-mach64-lts-utopic:i386 (6.9.4-2~trusty1), xserver-xorg-video-radeon-lts-utopic:i386 (7.4.0-2ubuntu2~trusty1), xserver-xorg-video-tdfx-lts-utopic:i386 (1.4.5-1build2~trusty1), xserver-xorg-video-fbdev-lts-utopic:i386 (0.4.4-1build2~trusty1), libgl1-mesa-glx-lts-utopic:i386 (10.3.2-0ubuntu1~trusty2), xserver-xorg-video-intel-lts-utopic:i386 (2.99.914-1~exp1ubuntu4.5~trusty1), libgbm1-lts-utopic:i386 (10.3.2-0ubuntu1~trusty2), xserver-xorg-video-mga-lts-utopic:i386 (1.6.3-2build1~trusty1), libegl1-mesa-drivers-lts-utopic:i386 (10.3.2-0ubuntu1~trusty2), libxatracker2-lts-utopic:i386 (10.3.2-0ubuntu1~trusty2), libgles1-mesa-lts-utopic:i386 (10.3.2-0ubuntu1~trusty2), xserver-xorg-video-sisusb-lts-utopic:i386 (0.9.6-2build2~trusty1), xserver-xorg-core-lts-utopic:i386 (1.16.0-1ubuntu1.2~trusty2), xserver-xorg-video-modesetting-lts-utopic:i386 (0.9.0-1build1~trusty1), xserver-xorg-video-cirrus-lts-utopic:i386 (1.5.2-2build1~trusty1), xserver-xorg-video-ati-lts-utopic:i386 (7.4.0-2ubuntu2~trusty1), xserver-xorg-input-synaptics-lts-utopic:i386 (1.8.1-1ubuntu1~trusty1), libgl1-mesa-dri-lts-utopic:i386 (10.3.2-0ubuntu1~trusty2), libwayland-egl1-mesa-lts-utopic:i386 (10.3.2-0ubuntu1~trusty2), xserver-xorg-input-all-lts-utopic:i386 (7.7+7ubuntu2~trusty1), xserver-xorg-input-mouse-lts-utopic:i386 (1.9.0-1build2~trusty1), libgles2-mesa-lts-utopic:i386 (10.3.2-0ubuntu1~trusty2), xserver-xorg-video-savage-lts-utopic:i386 (2.3.7-2ubuntu3~trusty1), xserver-xorg-video-trident-lts-utopic:i386 (1.3.6-0ubuntu6~trusty1), xserver-xorg-video-siliconmotion-lts-utopic:i386 (1.7.7-2build2~trusty1), libegl1-mesa-lts-utopic:i386 (10.3.2-0ubuntu1~trusty2), xserver-xorg-lts-utopic:i386 (7.7+7ubuntu2~trusty1), xserver-xorg-input-vmmouse-lts-utopic:i386 (13.0.0-1build2~trusty1), xserver-xorg-video-r128-lts-utopic:i386 (6.9.2-1build2~trusty1), libglapi-mesa-lts-utopic:i386 (10.3.2-0ubuntu1~trusty2), xserver-xorg-video-nouveau-lts-utopic:i386 (1.0.11-1ubuntu2~trusty1), libopenvg1-mesa-lts-utopic:i386 (10.3.2-0ubuntu1~trusty2), xserver-xorg-input-wacom-lts-utopic:i386 (0.25.0-0ubuntu1~trusty1), xserver-xorg-video-openchrome-lts-utopic:i386 (0.3.3-1build2~trusty1), xserver-xorg-video-all-lts-utopic:i386 (7.7+7ubuntu2~trusty1)
End-Date: 2016-08-05 14:19:55

The hardware in use is pretty simple and straightforward (and known to work with Xenial):

Intel Atom CPU 230 @ 1.60GHz
Intel 82945G/GZ Integrated Graphics Controller (rev 02)
Intel N10/ICH 7 Family High Definition Audio Controller (rev 01)
Realtek RTL8101E/RTL8102E PCI Express Fast Ethernet controller (rev 02)
2GB DDR2 RAM

Looking in home I see .Xauthority is a blank file, not sure what that mens if anything.

description: updated
tags: added: ubuntu-gnome
tags: added: lts-xenial
Erick Brunzell (lbsolost) wrote :

I'm not sure what to think so far but I wanted to make some notes of things I've tried (and looked at) so far so I don't forget.

I performed the same identical test on Ubuntu amd64 Trusty w/Utopic HWE on the same hardware this AM and it boots fine. The Ubuntu GNOME install I performed this failed test on yesterday is i386 so I thought it might be either GNOME or arch specific.

To see if it was related to gdm I tried lightdm with lightdm-gtk-greeter but it also won't boot. The one difference is that I actually see the login screen but trying to login just bounces me back to the login screen. (gdm is set to auto-login)

I've tried renaming .Xauthority and .ICEauthority but that didn't change much, if anything. The one difference I notice since renaming those two files and changing back to gdm is that I no longer see "Restoring resolver state" but rather just a blank black screen.

I can always log into a TTY from the "frozen" state. Not sure if this is helpful but .xsession-errors shows:

Script for ibus started at run_im.
Script for auto started at run_im.
Script for default started at run_im.
init: gnome-session (GNOME) main process (1565) terminated with status 1
init: logrotate main process (1491) killed by TERM signal
init: upstart-dbus-session-bridge main process (1533) terminated with status 1
init: Disconnected from notified D-Bus bus

Next I plan on performing another test using Ubuntu GNOME amd64 Trusty w/Wily HWE to see if this might be arch specific. Of course that may not be 100% definitive because the first (failed) test started with a Utopic HWE, but the passing Ubuntu test this AM was on an install using the Utopic HWE.

Have I confused anyone besides myself so far?

I'm subscribing Jeremy Bicha in case he may have some ideas.

The aforementioned HWE EOL upgrade test using Ubuntu GNOME amd64 Trusty w/Wily HWE failed in the same manner as the original test so I'm leaning towards this being Ubuntu GNOME specific. I'll try to test another flavor or two to verify that ASAP but I'll be AFK for several hours.

summary: - Reboot after Trusty HWE upgrade freezes saying Restoring resolver state
+ Reboot after Ubuntu GNOME Trusty HWE upgrade freezes saying Restoring
+ resolver state
description: updated
summary: - Reboot after Ubuntu GNOME Trusty HWE upgrade freezes saying Restoring
+ Reboot after Ubuntu GNOME Trusty HWE upgrade freezes @ Restoring
resolver state

Attempting to boot a guest session also results in a login bounce.

Jeremy Bicha (jbicha) on 2016-08-06
affects: update-manager (Ubuntu) → xserver-xorg-video-intel-lts-xenial (Ubuntu)
Erick Brunzell (lbsolost) wrote :

Tested beginning with Lubuntu 14.04.2 i386 and the HWE EOL upgrade boots fine.

Also fresh installs of Ubuntu GNOME 14.04.5 work perfectly well on the same hardware. I even applied all available updates to a freshly installed 14.04.5 and it still boots just fine.

So, based on current results, this is somehow limited only to HWE EOL upgrades on Ubuntu GNOME.

description: updated
Erick Brunzell (lbsolost) wrote :

This hardware is also affected running either the nouveau or nvidia drivers:

AMD Sempron Processor LE-1250 @ 2.2 GHz
nVidia C61 [GeForce 7025 / nForce 630a] (rev a2)
nVidia MCP61 High Definition Audio (rev a2)
nVidia MCP61 Ethernet (rev a2)
2GB DDR2 RAM

Erick Brunzell (lbsolost) wrote :

I'm pretty sure I figured this out. The HWE upgrade process fails to install libwayland-egl1-mesa-lts-xenial. If I do so from TTY (or recovery mode) and reboot all seems well!

summary: - Reboot after Ubuntu GNOME Trusty HWE upgrade freezes @ Restoring
- resolver state
+ Ubuntu GNOME Trusty HWE upgrade fails to install libwayland-egl1-mesa-
+ lts-xenial
Jeremy Bicha (jbicha) on 2016-08-08
affects: xserver-xorg-video-intel-lts-xenial (Ubuntu) → xorg-lts-transitional (Ubuntu)
affects: xorg-lts-transitional (Ubuntu) → xorg-lts-xenial (Ubuntu)
Erick Brunzell (lbsolost) wrote :

I need to wipe these failed HWE upgrades to make space for more testing so I'm attaching apt logs from one in case they may be helpful to the X-Swat team.

Erick Brunzell (lbsolost) wrote :

And term.log

Brian Murray (brian-murray) wrote :

From what I have been able to determine it looks like libwayland-egl1-mesa-lts-xenial isn't depended on in the same way libwayland-egl1-mesa-lts-utopic was.

bdmurray@upgrade-trusty-amd64:~$ apt-cache rdepends libwayland-egl1-mesa-lts-xenial
libwayland-egl1-mesa-lts-xenial
Reverse Depends:
  libwayland-egl1-mesa-lts-xenial:i386
  libwayland-egl1-mesa-lts-xenial:i386
  libegl1-mesa-dev-lts-xenial
  libegl1-mesa-dev
bdmurray@upgrade-trusty-amd64:~$ apt-cache rdepends libwayland-egl1-mesa-lts-utopic
libwayland-egl1-mesa-lts-utopic
Reverse Depends:
  libwayland-egl1-mesa-lts-utopic:i386
  libwayland-egl1-mesa-lts-utopic:i386
  libwayland-egl1-mesa-lts-utopic-dbg
  libegl1-mesa-drivers-lts-utopic

Changed in xorg-lts-xenial (Ubuntu):
status: New → Triaged
importance: Undecided → High
Jeremy Bicha (jbicha) wrote :

bdmurray, by the way, I don't see any bug subscriber for the xorg-lts-xenial,-wily, etc. packages which goes against Ubuntu policy for "main". I'm guessing they should have the same team subscribers as

https://launchpad.net/ubuntu/+source/xorg

Timo Aaltonen (tjaalton) wrote :

utopic had libegl1-mesa-drivers as an actual package, later releases carry a dummy one

IIRC stock-Ubuntu installs libwayland-egl1-mesa(-lts-foo) as well, and doesn't have issues with upgrades.. so why does GNOME?

Brian Murray (brian-murray) wrote :

While xenial itself has a libegl1-mesa-drivers as a dummy package:

 $ cat /etc/lsb-release
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=16.04
DISTRIB_CODENAME=xenial
DISTRIB_DESCRIPTION="Ubuntu 16.04.1 LTS"
[ 8:40AM 10006 ] [ bdmurray@impulse:~ ]
 $ apt-cache search libegl1-mesa-drivers
libegl1-mesa-drivers - transitional dummy package
libegl1-mesa-drivers-lts-utopic - Transitional package for libegl1-mesa-drivers-lts-utopic
libegl1-mesa-drivers-lts-utopic-dbg - Transitional package for libegl1-mesa-drivers-lts-utopic-dbg

There are no libgel1-mesa-drivers-lts-(vivid|wily|xenial) packages.

bdmurray@upgrade-trusty-amd64:~$ apt-cache search libegl1-mesa-drivers-lts
libegl1-mesa-drivers-lts-quantal - Transitional package for libegl1-mesa-drivers
libegl1-mesa-drivers-lts-quantal-dbg - Transitional package for libegl1-mesa-drivers-dbg
libegl1-mesa-drivers-lts-raring - Transitional package for libegl1-mesa-drivers
libegl1-mesa-drivers-lts-raring-dbg - Transitional package for libegl1-mesa-drivers-dbg
libegl1-mesa-drivers-lts-saucy - Transitional package for libegl1-mesa-drivers
libegl1-mesa-drivers-lts-saucy-dbg - Transitional package for libegl1-mesa-drivers-dbg
libegl1-mesa-drivers-lts-trusty - Transitional package for libegl1-mesa-drivers
libegl1-mesa-drivers-lts-trusty-dbg - Transitional package for libegl1-mesa-drivers-dbg
libegl1-mesa-drivers-lts-utopic - free implementation of the EGL API -- hardware drivers
libegl1-mesa-drivers-lts-utopic-dbg - free implementation of the EGL API -- driver debugging symbols

Brian Murray (brian-murray) wrote :

I've recreated the situation described in the bug description by installing a virtual machine with Ubuntu Gnome 14.04.2 and using 'hwe-support-status --show-replacements' to determine packages to upgrade I ended up with a system that booted without X. The file /var/log/gdm/:0-greeter.log seems to contain information about the problem.

** (gnome-settings-daemon:1161): WARNING **: Error activating plugin 'Background'
gnome-shell: error while loading shared libraries: libwayland-egl.so.1: cannot open shared object file: No such file or directory

Changed in xorg-lts-xenial (Ubuntu):
status: Triaged → Won't Fix
Changed in xorg-lts-xenial (Ubuntu Trusty):
status: New → Won't Fix
Changed in update-manager (Ubuntu Trusty):
status: New → In Progress
assignee: nobody → Brian Murray (brian-murray)
importance: Undecided → High
no longer affects: ubuntu-gnome

Hello Erick, or anyone else affected,

Accepted update-manager into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/update-manager/1:0.196.18 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in update-manager (Ubuntu Trusty):
status: In Progress → Fix Committed
tags: added: verification-needed
description: updated
Changed in update-manager (Ubuntu):
importance: Undecided → High
Changed in xorg-lts-xenial (Ubuntu Trusty):
importance: Undecided → High
Brian Murray (brian-murray) wrote :

I tested update-manager version 0.196.18 from trusty-proposed and libwayland-egl1-mesa-lts-xenial was installed (on a system that had the -vivid version) after installing the new HWE stack.

tags: added: verification-done
removed: verification-needed
Brian Murray (brian-murray) wrote :

Also libwayland-egl1-mesa-lts-xenial was not recommended for install if its vivid counterpart isn't already installed.

bdmurray@upgrade-trusty-amd64:~$ hwe-support-status --show-replacements
xserver-xorg-lts-xenial libgl1-mesa-glx-lts-xenial linux-generic-lts-xenial linux-image-generic-lts-xenial
bdmurray@upgrade-trusty-amd64:~$ apt-cache policy libwayland-egl1-mesa-lts-vivid
libwayland-egl1-mesa-lts-vivid:
  Installed: (none)
  Candidate: 10.5.9-2ubuntu1~trusty2
  Version table:
     10.5.9-2ubuntu1~trusty2 0
        500 http://192.168.10.7/ubuntu/ trusty-updates/main amd64 Packages
        100 /var/lib/dpkg/status

Erick Brunzell (lbsolost) wrote :
Download full text (10.3 KiB)

I still encountered a failure beginning with Ubuntu GNOME Trusty i386 w/Vivid HWE. There was a kernel upgrade prior to performing the HWE upgrade (most recent prior updates performed on 2016-08-07 followed by installing update-manager from proposed):

Start-Date: 2016-08-13 09:58:41
Commandline: apt-get dist-upgrade
Install: linux-headers-3.19.0-66:i386 (3.19.0-66.74~14.04.1, automatic), linux-headers-3.19.0-66-generic:i386 (3.19.0-66.74~14.04.1, automatic), linux-image-3.19.0-66-generic:i386 (3.19.0-66.74~14.04.1, automatic), linux-image-extra-3.19.0-66-generic:i386 (3.19.0-66.74~14.04.1, automatic)
Upgrade: nautilus-data:i386 (3.10.1-0ubuntu9.9, 3.10.1-0ubuntu9.11), modemmanager:i386 (1.0.0-2ubuntu1, 1.0.0-2ubuntu1.1), initramfs-tools:i386 (0.103ubuntu4.3, 0.103ubuntu4.4), linux-generic-lts-vivid:i386 (3.19.0.65.47, 3.19.0.66.48), libmm-glib0:i386 (1.0.0-2ubuntu1, 1.0.0-2ubuntu1.1), firefox:i386 (47.0+build3-0ubuntu0.14.04.1, 48.0+build2-0ubuntu0.14.04.1), libgd3:i386 (2.1.0-3ubuntu0.2, 2.1.0-3ubuntu0.3), libdrm-intel1:i386 (2.4.64-1~ubuntu14.04.1, 2.4.67-1ubuntu0.14.04.1), avahi-autoipd:i386 (0.6.31-4ubuntu1, 0.6.31-4ubuntu1.1), libcurl3:i386 (7.35.0-1ubuntu2.6, 7.35.0-1ubuntu2.8), oxideqt-codecs-extra:i386 (1.15.8-0ubuntu0.14.04.1, 1.16.5-0ubuntu0.14.04.1), grub-common:i386 (2.02~beta2-9ubuntu1.11, 2.02~beta2-9ubuntu1.12), libdrm-radeon1:i386 (2.4.64-1~ubuntu14.04.1, 2.4.67-1ubuntu0.14.04.1), nautilus:i386 (3.10.1-0ubuntu9.9, 3.10.1-0ubuntu9.11), isc-dhcp-client:i386 (4.2.4-7ubuntu12.4, 4.2.4-7ubuntu12.5), grub-pc:i386 (2.02~beta2-9ubuntu1.11, 2.02~beta2-9ubuntu1.12), libnautilus-extension1a:i386 (3.10.1-0ubuntu9.9, 3.10.1-0ubuntu9.11), libavahi-common-data:i386 (0.6.31-4ubuntu1, 0.6.31-4ubuntu1.1), libxrandr2:i386 (1.4.2-1, 1.5.0-1~trusty1), libavahi-client3:i386 (0.6.31-4ubuntu1, 0.6.31-4ubuntu1.1), libdrm2:i386 (2.4.64-1~ubuntu14.04.1, 2.4.67-1ubuntu0.14.04.1), base-files:i386 (7.2ubuntu5.4, 7.2ubuntu5.5), language-pack-gnome-en:i386 (14.04+20150219, 14.04+20160720), libavahi-common3:i386 (0.6.31-4ubuntu1, 0.6.31-4ubuntu1.1), libdrm-nouveau2:i386 (2.4.64-1~ubuntu14.04.1, 2.4.67-1ubuntu0.14.04.1), language-pack-en:i386 (14.04+20150219, 14.04+20160720), linux-libc-dev:i386 (3.13.0-92.139, 3.13.0-93.140), avahi-utils:i386 (0.6.31-4ubuntu1, 0.6.31-4ubuntu1.1), grub2-common:i386 (2.02~beta2-9ubuntu1.11, 2.02~beta2-9ubuntu1.12), avahi-daemon:i386 (0.6.31-4ubuntu1, 0.6.31-4ubuntu1.1), grub-pc-bin:i386 (2.02~beta2-9ubuntu1.11, 2.02~beta2-9ubuntu1.12), libavahi-gobject0:i386 (0.6.31-4ubuntu1, 0.6.31-4ubuntu1.1), libcurl3-gnutls:i386 (7.35.0-1ubuntu2.6, 7.35.0-1ubuntu2.8), libavahi-glib1:i386 (0.6.31-4ubuntu1, 0.6.31-4ubuntu1.1), language-pack-en-base:i386 (14.04+20150219, 14.04+20160720), initramfs-tools-bin:i386 (0.103ubuntu4.3, 0.103ubuntu4.4), firefox-locale-en:i386 (47.0+build3-0ubuntu0.14.04.1, 48.0+build2-0ubuntu0.14.04.1), isc-dhcp-common:i386 (4.2.4-7ubuntu12.4, 4.2.4-7ubuntu12.5), linux-headers-generic-lts-vivid:i386 (3.19.0.65.47, 3.19.0.66.48), linux-image-generic-lts-vivid:i386 (3.19.0.65.47, 3.19.0.66.48), language-pack-gnome-en-base:i386 (14.04+20150219, 14.04+20160720), libavahi-core7:i386 (0.6.31-4ubuntu1, 0.6.31-4ubuntu1.1)
En...

Erick Brunzell (lbsolost) wrote :

I have no idea why I had that previous failure. I've since run two more tests. One was a repeat test beginning with a fresh install of Ubuntu GNOME 14.04.3 i386 (just like above) and it worked fine. I ran another test beginning with a fresh install of Ubuntu GNOME 14.04.2 amd64 and it also worked just fine. I'm going to run one additional test beginning with 14.04.4 just to be sure, but I think that one failure must have been a fluke - or something I did wrong.

Erick Brunzell (lbsolost) wrote :

I've run several more tests today and all seems well. I can only assume that the failure in comment #17 was an error on my part. So I think we're good to go.

Download full text (8.0 KiB)

On Sat, Aug 13, 2016 at 05:10:16PM -0000, Erick Brunzell wrote:
> I still encountered a failure beginning with Ubuntu GNOME Trusty i386
> w/Vivid HWE. There was a kernel upgrade prior to performing the HWE
> upgrade (most recent prior updates performed on 2016-08-07 followed by
> installing update-manager from proposed):
>
> Start-Date: 2016-08-13 09:58:41
> Commandline: apt-get dist-upgrade
> Install: linux-headers-3.19.0-66:i386 (3.19.0-66.74~14.04.1, automatic), linux-headers-3.19.0-66-generic:i386 (3.19.0-66.74~14.04.1, automatic), linux-image-3.19.0-66-generic:i386 (3.19.0-66.74~14.04.1, automatic), linux-image-extra-3.19.0-66-generic:i386 (3.19.0-66.74~14.04.1, automatic)
> Upgrade: nautilus-data:i386 (3.10.1-0ubuntu9.9, 3.10.1-0ubuntu9.11), modemmanager:i386 (1.0.0-2ubuntu1, 1.0.0-2ubuntu1.1), initramfs-tools:i386 (0.103ubuntu4.3, 0.103ubuntu4.4), linux-generic-lts-vivid:i386 (3.19.0.65.47, 3.19.0.66.48), libmm-glib0:i386 (1.0.0-2ubuntu1, 1.0.0-2ubuntu1.1), firefox:i386 (47.0+build3-0ubuntu0.14.04.1, 48.0+build2-0ubuntu0.14.04.1), libgd3:i386 (2.1.0-3ubuntu0.2, 2.1.0-3ubuntu0.3), libdrm-intel1:i386 (2.4.64-1~ubuntu14.04.1, 2.4.67-1ubuntu0.14.04.1), avahi-autoipd:i386 (0.6.31-4ubuntu1, 0.6.31-4ubuntu1.1), libcurl3:i386 (7.35.0-1ubuntu2.6, 7.35.0-1ubuntu2.8), oxideqt-codecs-extra:i386 (1.15.8-0ubuntu0.14.04.1, 1.16.5-0ubuntu0.14.04.1), grub-common:i386 (2.02~beta2-9ubuntu1.11, 2.02~beta2-9ubuntu1.12), libdrm-radeon1:i386 (2.4.64-1~ubuntu14.04.1, 2.4.67-1ubuntu0.14.04.1), nautilus:i386 (3.10.1-0ubuntu9.9, 3.10.1-0ubuntu9.11), isc-dhcp-client:i386 (4.2.4-7ubuntu12.4, 4.2.4-7ubuntu12.5), grub-pc:i386 (2.02~beta2-9ubuntu1.11, 2.02~beta2-9ubuntu1.12), libnautilus-extension1a:i386 (3.10.1-0ubuntu9.9, 3.10.1-0ubuntu9.11), libavahi-common-data:i386 (0.6.31-4ubuntu1, 0.6.31-4ubuntu1.1), libxrandr2:i386 (1.4.2-1, 1.5.0-1~trusty1), libavahi-client3:i386 (0.6.31-4ubuntu1, 0.6.31-4ubuntu1.1), libdrm2:i386 (2.4.64-1~ubuntu14.04.1, 2.4.67-1ubuntu0.14.04.1), base-files:i386 (7.2ubuntu5.4, 7.2ubuntu5.5), language-pack-gnome-en:i386 (14.04+20150219, 14.04+20160720), libavahi-common3:i386 (0.6.31-4ubuntu1, 0.6.31-4ubuntu1.1), libdrm-nouveau2:i386 (2.4.64-1~ubuntu14.04.1, 2.4.67-1ubuntu0.14.04.1), language-pack-en:i386 (14.04+20150219, 14.04+20160720), linux-libc-dev:i386 (3.13.0-92.139, 3.13.0-93.140), avahi-utils:i386 (0.6.31-4ubuntu1, 0.6.31-4ubuntu1.1), grub2-common:i386 (2.02~beta2-9ubuntu1.11, 2.02~beta2-9ubuntu1.12), avahi-daemon:i386 (0.6.31-4ubuntu1, 0.6.31-4ubuntu1.1), grub-pc-bin:i386 (2.02~beta2-9ubuntu1.11, 2.02~beta2-9ubuntu1.12), libavahi-gobject0:i386 (0.6.31-4ubuntu1, 0.6.31-4ubuntu1.1), libcurl3-gnutls:i386 (7.35.0-1ubuntu2.6, 7.35.0-1ubuntu2.8), libavahi-glib1:i386 (0.6.31-4ubuntu1, 0.6.31-4ubuntu1.1), language-pack-en-base:i386 (14.04+20150219, 14.04+20160720), initramfs-tools-bin:i386 (0.103ubuntu4.3, 0.103ubuntu4.4), firefox-locale-en:i386 (47.0+build3-0ubuntu0.14.04.1, 48.0+build2-0ubuntu0.14.04.1), isc-dhcp-common:i386 (4.2.4-7ubuntu12.4, 4.2.4-7ubuntu12.5), linux-headers-generic-lts-vivid:i386 (3.19.0.65.47, 3.19.0.66.48), linux-image-generic-lts-vivid:i386 (3.19.0.65.47, 3.19.0.66.48), language-pack-gnome-en-base:i386 (14.04+2015...

Read more...

Erick Brunzell (lbsolost) wrote :

"This is because you didn't first upgrade update-manager."

I figured something like that. I was convinced that it must have been an error on my part after repeating several more tests with no issue. Chalk that up to either too little (or too much) coffee.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package update-manager - 1:0.196.19

---------------
update-manager (1:0.196.19) trusty-proposed; urgency=medium

  * hwe-support-status: utilize a virtualbox metapackage set. (LP: #1498059)

 -- Brian Murray <email address hidden> Mon, 15 Aug 2016 11:14:48 -0700

Changed in update-manager (Ubuntu Trusty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers